OpenVDB: IteratorRange< IterT > Class Template Reference

OpenVDB 8.1.0

Public Member Functions | List of all members
IteratorRange< IterT > Class Template Reference

`#include <TreeIterator.h>`

## Public Member Functions
| IteratorRange (const IterT &iter, size_t grainSize=8)
| IteratorRange (IteratorRange &other, tbb::split)
const IterT & | iterator () const
| Return a reference to this range's iterator. More...
bool | empty () const
bool | test () const
| operator bool () const
bool | is_divisible () const
| Return `true` if this range is splittable (i.e., if the iterator can be advanced more than mGrainSize times). More...
void | increment (Index n=1)
| Advance the iterator n times. More...
IteratorRange & | operator++ ()
| Advance the iterator to the next item. More...
bool | next ()
| Advance the iterator to the next item. More...

## Detailed Description

### template<typename IterT>
class openvdb::v8_1::tree::IteratorRange< IterT >

An IteratorRange wraps a tree or node iterator, giving the iterator TBB splittable range semantics.

## Constructor & Destructor Documentation

## ◆ IteratorRange() [1/2]

IteratorRange | ( | const IterT & | iter,
|  | size_t | grainSize = `8`
| ) |  |
| inline

## ◆ IteratorRange() [2/2]

IteratorRange | ( | IteratorRange< IterT > & | other,
|  | tbb::split |
| ) |  |
| inline

## Member Function Documentation

## ◆ empty()

bool empty | ( |  | ) | const
| inline

## ◆ increment()

void increment | ( | Index | n = `1` | ) |
| inline

Advance the iterator n times.

## ◆ is_divisible()

bool is_divisible | ( |  | ) | const
| inline

Return `true` if this range is splittable (i.e., if the iterator can be advanced more than mGrainSize times).

## ◆ iterator()

const IterT& iterator | ( |  | ) | const
| inline

Return a reference to this range's iterator.

Note
  The reference is const, because the iterator should not be incremented directly. Use this range object's increment() instead.

## ◆ next()

bool next | ( |  | ) |
| inline

Advance the iterator to the next item.

Returns
  `true` if the iterator is not yet exhausted.

## ◆ operator bool()

operator bool | ( |  | ) | const
| inline

## ◆ operator++()

IteratorRange& operator++ | ( |  | ) |
| inline

Advance the iterator to the next item.

## ◆ test()

bool test | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- TreeIterator.h